Advisory Details

October 16th, 2013

PANDA Security Communications Agent Service Pagent.exe 'MESSAGE_FROM_REMOTE' Remote Code Execution Vulnerability

ZDI-13-250
ZDI-CAN-1762

CVE ID
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Panda Software
AFFECTED PRODUCTS Security for Business Communications
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of PANDA Security for Business Communications. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the 'Panda AdminSecure Communications Agent' (Pagent.exe) which listens on tcp port 19226. The service contains a directory traversal flaw which allows for the ability to create / overwrite / delete an arbitrary file. A remote attacker can abuse this to execute remote code under the context of the SYSTEM user.

VENDOR RESPONSE Panda Software has issued an update to correct this vulnerability. More details can be found at:
http://www.pandasecurity.com/enterprise/support/card?id=40081
DISCLOSURE TIMELINE
  • 2013-07-05 - Vulnerability reported to vendor
  • 2013-10-16 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES